Support ⇒ Troubleshootings :: Archives ⇒ installing modules :: Archived ⇒ Community Forums ⇒ CPG Dragonfly™ CMS
Forum IndexTroubleshootings

Archived ⇒ installing modules


hey people
i can not install any modules since i upgraded to 9.1.1
im going insane with all the bugs i keep finding Sad

this is the error that comes up
CMS Warning line 75: On /admin.php?op=modules&install=GEM While executing query "CREATE TABLE cms_GEM_events (gemEventID int(12) NOT NULL auto_increment, gemOwnerID int(12) NOT NULL, gemTitle varchar(100) default NULL, gemDesc text default NULL, gemCatID int(12) default NULL, gemStartTime int(12) default NULL, gemEndTime int(12) default NULL, gemVisibility int(2) default NULL, gemStatus varchar(50) default NULL, gemCreatedTime int(12) default NULL, gemLastEditTime int(12) default NULL, gemEventType varchar(50) default NULL, gemMinLevel int(3) default NULL, gemMaxChars int(3) default NULL, PRIMARY KEY (gemEventID)) TYPE=MyISAM DEFAULT CHARSET=NULL" the following error occured: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'NULL' at line 1 In: /home/rave/public_html/includes/classes/installer.php on line: 61

i have tryed the latest installer.php from the cvs but it doesnt work
any ideas ?
thanks

Shaun

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
linux/1.3.37/5.0.27-standard/4.4.4/9.1.1/


What module is this?

Diagon Alley - Top Design

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux/1.3.37/4.1.21-standard/4.4.4/9.1.1


sarah wrote
What module is this?


www.eq2caladrius.com/D...id=14.html
but it also produces a similar error with the calendar module

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
linux/1.3.37/5.0.27-standard/4.4.4/9.1.1/


int(12) ????

.:: I met php the 03 December 2003 :: Unforgettable day! ::.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
CloudLinux / Apache 2.4 LSAPI / MySQLi 5.7 / PHP 7.3 / head


huh ?

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
linux/1.3.37/5.0.27-standard/4.4.4/9.1.1/


this looks similar to the blocks problem that happened. how we couldn't move from right to left..... any ideas this is {expletive removed} me
thx guys

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
linux/1.3.37/5.0.27-standard/4.4.4/9.1.1/


It's not a system fault - you appear to have edited your config.php file, and have done it incorrectly.

Change define('DB_CHARSET', 'NULL'); => define('DB_CHARSET', NULL);

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):


Phoenix wrote
It's not a system fault - you appear to have edited your config.php file, and have done it incorrectly.

Change define('DB_CHARSET', 'NULL'); => define('DB_CHARSET', NULL);


oh i think i just copyed that from the forums when we were having problems, thank you heaps Phoneix not worthy

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
linux/1.3.37/5.0.27-standard/4.4.4/9.1.1/


Hi

I can't install any modules anymore.
I'm using the lates version of Dragonfly.

I'm allways getting SQL errors like this:

On /admin.php?op=modules&install=Modulename While executing query "CREATE TABLE tablename ( name varchar(25) NOT NULL, subtype varchar(20) NOT NULL, value varchar(200) NOT NULL default '0', text text NOT NULL ) TYPE=MyISAM DEFAULT CHARSET=NULL" the following error occured: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'NULL' at line 6 In: /home/sitename/public_html/includes/classes/installer.php on line: 61

I hope that there's someone who could help me with this issue.

Regards,
Reffo

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux / 1.3.37 (Unix) / 4.1.21-standard / 4.4.7 / 9.1.2.1


Numerous references in forum search.

Try this topic.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):


I've checked the config.php and nothing is working.

Here's the charset part of config.php:
define(\'DB_TYPE\', \''.$connect['layer'].'\'); define(\'DB_CHARSET\', '.(isset($connect['charset']) ? "'{$connect['charset']}'" : 'NULL').'); // NULL (is default), latin1, utf8, etc. $dbhost = \''.$connect['host'].'\'; $dbname = \''.$connect['database'].'\'; $dbuname = \''.$connect['username'].'\'; $dbpass = \''.$connect['password'].'\'; $prefix = \''.$connect['prefix'].'\'; $user_prefix = \''.$connect['user_prefix'].'\';
-Reffo.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux / 1.3.37 (Unix) / 4.1.21-standard / 4.4.7 / 9.1.2.1


Hmmm I got it fixed. I was looking at the wrong config.php

-Reffo

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux / 1.3.37 (Unix) / 4.1.21-standard / 4.4.7 / 9.1.2.1


Trying to install pro news it brings up the message of:

A database error has occurred

I am trying to install the latest pro news module also.

The webmaster has been notified of the error


This is happening on other modules also trying to install.

I am tunning the 9.1 version of DF at tyria.net with a different default database prefix.

Has anyone had this and now how to fix it?

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Dragonfly (9.1.2.1) PHP 4.3.10 MySQL 4.1.13


Here is the warning and general logs of it:

Array ( [theme] => TCD_Natural [session_time] => 1183716636 [session_start] => 1183716559 [comments] => Array ( [mode] => [order] => 0 [thold] => 0 ) [admin] => Array ( [page] => modules ) [user] => Array ( [page] => modules [file] => [uri] => /admin.php?op=modules ) [update_monitor] => 1 [tables_cleanup] => 1 )

SQL Queries: includes/classes/session.php * 0.0005 - LINE 140: SELECT user_level, user_new_privmsg, user_unread_privmsg FROM tyria_users WHERE user_id=2 * 0.0019 - LINE 147: UPDATE tyria_users SET user_session_time=1183716636 WHERE user_id=2 * 0.0002 - LINE 173: DELETE FROM tyria_session WHERE time<1183716336 header.php * 0.0004 - LINE 44: SELECT COUNT(*) FROM tyria_session WHERE uname='dr Guild' * 0.0017 - LINE 45: UPDATE tyria_session SET time='1183716636', module='Home', url='index.php', guest='2' WHERE uname='dr Guild'

includes/db/db.php * CMS Warning line 75: On /admin.php?op=modules&install=Pro_News While executing query "CREATE TABLE tyria_pronews_cats ( id int(11) NOT NULL auto_increment, sid tinyint(11) default '0', title varchar(255) NOT NULL default 'New Cat', description varchar(255) default NULL, icon varchar(255) NULL default '', view tinyint(11) NOT NULL default '0', admin tinyint(11) NOT NULL default '2', sequence tinyint(11) NOT NULL default '0', PRIMARY KEY (id)) TYPE=MyISAM DEFAULT CHARSET=NULL" the following error occured: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'NULL' at line 10 In: /home/tyria/public_html/guildwars/includes/classes/installer.php on line: 61

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Dragonfly (9.1.2.1) PHP 4.3.10 MySQL 4.1.13


A search would get you here.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):

All times are UTC